com.trendmicro.ds.platform.rest.object.smartfolder

## Class SmartFolder

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.SmartFolder

-     public class SmartFolder
      extends java.lang.Object

  Details of a Smart Folder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartFolder()` Create an empty smart folder summary.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSmartFolder(SmartFolderSummary childSmartFolder)` Add a child smart folder.
    `java.lang.String` | `getAwsTagFoldersNameKey()` Get the key of the AWS tag used to create an AWS tag hierarchy.
    `java.util.List<SmartFolderSummary>` | `getChildSmartFolders()` Get the list of child smart folders.
    `Model.Comparison` | `getComparison()` Get the comparator used to combine the query groups.
    `java.lang.String` | `getName()` Get the smart folder name.
    `java.lang.Long` | `getParentSmartFolderId()` Get the parent smart folder identifier.
    `java.util.List<ParentSmartFolderSummary>` | `getParentSmartFolders()`
    `java.util.List<QueryGroup>` | `getQueryGroups()` Get the smart folder query groups.
    `java.lang.Long` | `getSmartFolderId()` Get the smart folder identifier.
    `java.lang.Integer` | `getType()` Get the smart folder type: 1 - A standard query based smart folder 2 - A smart folder with an AWS tag hierarchy 3 - A child smart folder of a smart folder with AWS tag hierarchy (i.e.
    `void` | `setAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)` Set the key of the AWS tag used to create an AWS tag hierarchy.
    `void` | `setComparison(Model.Comparison comparison)` Set the comparator used to combine the query groups.
    `void` | `setName(java.lang.String name)` Set the smart folder name.
    `void` | `setParentSmartFolderId(java.lang.Long parentSmartFolderId)` Set the parent smart folder identifier.
    `void` | `setParentSmartFolders(java.util.List<ParentSmartFolderSummary> parentSmartFolders)`
    `void` | `setQueryGroups(java.util.List<QueryGroup> queryGroups)` Set the smart folder query groups.
    `void` | `setSmartFolderId(java.lang.Long smartFolderId)` Set the smart folder identifier.
    `void` | `setSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)` Set the list of child smart folders.
    `void` | `setType(java.lang.Integer type)` Set the smart folder type.
    `java.lang.String` | `toString()`
    `SmartFolder` | `withAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)` Set the key of the AWS tag used to create an AWS tag hierarchy.
    `SmartFolder` | `withChildSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)` Set the list of child smart folders.
    `SmartFolder` | `withComparison(Model.Comparison comparison)` Set the comparator used to combine the query groups.
    `SmartFolder` | `withName(java.lang.String name)` Set the smart folder name.
    `SmartFolder` | `withParentSmartFolderId(java.lang.Long parentSmartFolderId)` Set the parent smart folder identifier.
    `SmartFolder` | `withParentSmartFolders(java.util.List<ParentSmartFolderSummary> parentSmartFolders)`
    `SmartFolder` | `withQueryGroups(java.util.List<QueryGroup> queryGroups)` Set the smart folder query groups.
    `SmartFolder` | `withSmartFolderId(java.lang.Long smartFolderId)` Set the smart folder identifier.
    `SmartFolder` | `withType(java.lang.Integer type)` Set the smart folder type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmartFolder

          public SmartFolder()

      Create an empty smart folder summary.

  - ### Method Detail

    - #### getSmartFolderId

          public java.lang.Long getSmartFolderId()

      Get the smart folder identifier.
      Returns:
        the smart folder identifier.

    - #### setSmartFolderId

          public void setSmartFolderId(java.lang.Long smartFolderId)

      Set the smart folder identifier.
      Parameters:
        `smartFolderId` - the smart folder identifier.

    - #### withSmartFolderId

          public SmartFolder withSmartFolderId(java.lang.Long smartFolderId)

      Set the smart folder identifier.
      Parameters:
        `smartFolderId` - the smart folder identifier.
      Returns:
        the updated SmartFolderSummary object.

    - #### getName

          public java.lang.String getName()

      Get the smart folder name.
      Returns:
        the smart folder name.

    - #### setName

          public void setName(java.lang.String name)

      Set the smart folder name.
      Parameters:
        `name` - the smart folder name.

    - #### withName

          public SmartFolder withName(java.lang.String name)

      Set the smart folder name.
      Parameters:
        `name` - the smart folder name.
      Returns:
        the updated SmartFolderSummary object.

    - #### getParentSmartFolderId

          public java.lang.Long getParentSmartFolderId()

      Get the parent smart folder identifier.
      Returns:
        the parent smart folder identifier.

    - #### setParentSmartFolderId

          public void setParentSmartFolderId(java.lang.Long parentSmartFolderId)

      Set the parent smart folder identifier.
      Parameters:
        `parentSmartFolderId` - the smart folder identifier.

    - #### withParentSmartFolderId

          public SmartFolder withParentSmartFolderId(java.lang.Long parentSmartFolderId)

      Set the parent smart folder identifier.
      Parameters:
        `parentSmartFolderId` - the parent smart folder identifier.
      Returns:
        the updated SmartFolderSummary object.

    - #### getType

          public java.lang.Integer getType()

      Get the smart folder type: 1 - A standard query based smart folder 2 - A smart folder with an AWS tag hierarchy 3 - A child smart folder of a smart folder with AWS tag hierarchy (i.e. A smart folder representing an AWS tag value)
      Returns:
        the smart folder type.

    - #### setType

          public void setType(java.lang.Integer type)

      Set the smart folder type.
      Parameters:
        `type` - the smart folder type.

    - #### withType

          public SmartFolder withType(java.lang.Integer type)

      Set the smart folder type.
      Parameters:
        `type` - the smart folder type.
      Returns:
        the updated SmartFolderSummary object.

    - #### getChildSmartFolders

          public java.util.List<SmartFolderSummary> getChildSmartFolders()

      Get the list of child smart folders.
      Returns:
        the list of child smart folders.

    - #### setSmartFolders

          public void setSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)

      Set the list of child smart folders.
      Parameters:
        `childSmartFolders` - the list of child smart folders.

    - #### withChildSmartFolders

          public SmartFolder withChildSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)

      Set the list of child smart folders.
      Parameters:
        `smartFolders` - the list of child smart folders.
      Returns:
        the updated SmartFolderSummary

    - #### addSmartFolder

          public void addSmartFolder(SmartFolderSummary childSmartFolder)

      Add a child smart folder.
      Parameters:
        `childSmartFolder` - the child smart folder to add.

    - #### getQueryGroups

          public java.util.List<QueryGroup> getQueryGroups()

      Get the smart folder query groups.
      Returns:
        The smart folder query groups.

    - #### setQueryGroups

          public void setQueryGroups(java.util.List<QueryGroup> queryGroups)

      Set the smart folder query groups.
      Parameters:
        `queryGroups` - The list of smart folder query groups.

    - #### withQueryGroups

          public SmartFolder withQueryGroups(java.util.List<QueryGroup> queryGroups)

      Set the smart folder query groups.
      Parameters:
        `queryGroups` - The list of smart folder query groups.
      Returns:
        the updated SmartFolderSummary

    - #### getComparison

          public Model.Comparison getComparison()

      Get the comparator used to combine the query groups.
      Returns:
        the comparator used to combine the query groups.

    - #### setComparison

          public void setComparison(Model.Comparison comparison)

      Set the comparator used to combine the query groups.
      Parameters:
        `comparison` - the comparator used to combine the query groups.

    - #### withComparison

          public SmartFolder withComparison(Model.Comparison comparison)

      Set the comparator used to combine the query groups.
      Parameters:
        `comparison2` - the comparator used to combine the query groups.
      Returns:
        the updated SmartFolderSummary object.

    - #### getAwsTagFoldersNameKey

          public java.lang.String getAwsTagFoldersNameKey()

      Get the key of the AWS tag used to create an AWS tag hierarchy.
      Returns:
        key of the AWS tag used to create an AWS tag hierarchy.

    - #### setAwsTagFoldersNameKey

          public void setAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)

      Set the key of the AWS tag used to create an AWS tag hierarchy.
      Parameters:
        `awsTagFoldersNameKey` - the key of the AWS tag used to create an AWS tag hierarchy.

    - #### withAwsTagFoldersNameKey

          public SmartFolder withAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)

      Set the key of the AWS tag used to create an AWS tag hierarchy.
      Parameters:
        `awsTagFoldersNameKey` - the key of the AWS tag used to create an AWS tag hierarchy.
      Returns:
        the updated SmartFolderSummary object.

    - #### getParentSmartFolders

          public java.util.List<ParentSmartFolderSummary> getParentSmartFolders()

    - #### setParentSmartFolders

          public void setParentSmartFolders(java.util.List<ParentSmartFolderSummary> parentSmartFolders)

    - #### withParentSmartFolders

          public SmartFolder withParentSmartFolders(java.util.List<ParentSmartFolderSummary> parentSmartFolders)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.